summaryrefslogtreecommitdiff
path: root/presentproto/autogen.sh
diff options
context:
space:
mode:
authorKeith Packard <keithp@keithp.com>2017-12-13 15:12:26 -0800
committerKeith Packard <keithp@keithp.com>2017-12-13 15:12:26 -0800
commit3a1f16134b2115d5fac31aa44f3b7e4c948b782a (patch)
tree7e534a0ac4c645067ffe4fa0fa36027dd5f1a3b9 /presentproto/autogen.sh
parent9dc8a93b48791eb693409383fe2056e13ffa8c64 (diff)
Move common presentproto files out of the way
Diffstat (limited to 'presentproto/autogen.sh')
-rwxr-xr-xpresentproto/autogen.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/presentproto/autogen.sh b/presentproto/autogen.sh
new file mode 100755
index 0000000..4b784fb
--- /dev/null
+++ b/presentproto/autogen.sh
@@ -0,0 +1,17 @@
+#! /bin/sh
+
+srcdir=`dirname "$0"`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd "$srcdir"
+
+autoreconf -v --install || exit 1
+cd "$ORIGDIR" || exit $?
+
+git config --local --get format.subjectPrefix >/dev/null 2>&1 ||
+ git config --local format.subjectPrefix "PATCH presentproto"
+
+if test -z "$NOCONFIGURE"; then
+ exec "$srcdir"/configure "$@"
+fi